#
# Find the native LIBXML includes and library
#
# This module defines
# LIBXML_INCLUDE_DIR, where to find expat.h, etc.
# LIBXML_LIBRARIES, the libraries to link against to use LIBXML.
# LIBXML_FOUND, If false, do not try to use LIBXML.

# also defined, but not for general use are
# LIBXML_LIBRARY, where to find the LIBXML library.

FIND_PATH(LIBXML_INCLUDE_DIR expat.h
  /usr/local/include
  /usr/include
)

FIND_LIBRARY(LIBXML_LIBRARY expat
  /usr/lib
  /usr/local/lib
)

IF(LIBXML_INCLUDE_DIR)
  IF(LIBXML_LIBRARY)
    SET( LIBXML_FOUND "YES" )
    SET( LIBXML_LIBRARIES ${LIBXML_LIBRARY} )
  ENDIF(LIBXML_LIBRARY)
ENDIF(LIBXML_INCLUDE_DIR)
