#ifndef _CACHE_ENTRY
#define _CACHE_ENTRY

#include <Tools.h>
#include <ICacheEntry.h>

namespace cache
{

	/*Each
	* Each Cache Entry mainly contains of 3 parts 
	* a) Data
	* b) Descriptor
	* c) Replacement Value
	*/
	template <class T>
	class CacheEntry : public ICacheEntry
	{
	public:
		//Copy constructor
		CacheEntry(CacheEntry<T>& cacheEntry);


		//Stores the replacement value for the cache
		T replacementValue;

		CacheEntry():ICacheEntry()
		{}

		~CacheEntry()
		{
			delete(iShape);
			delete(data);
		}	
	};
}
#endif //CACHE_ENTRY