#ifndef _IREPLACEMENT_POLICY_H
#define _IREPLACEMENT_POLICY_H
namespace cache
{
	//Forward References
	class CacheEntry;

	class IReplacementPolicy : public BrushVisitor
	{
	public:
		//Removes the victim from the 
		//Returns null if none is left in the cache.
		virtual CacheEntry& getVictimItem() = 0;

		//Notify the changes in the current brush
		virtual void brushChanged(Brush &brush) = 0;
	};
}
#endif