#ifndef _MAPPER_H
#define _MAPPER_H

#include<Tools.h>

namespace cache
{

	class ICacheEntry;
	struct Record;

	/*
	*	This is a single ton that initialises the cache
	* Entry using a record from the data base
	*/
	class Mapper
	{
	public:

		static Mapper* Mapper::getInstance();

		~Mapper();

		void initialize(ICacheEntry& cacheEntry,
			Record& record);	

	private:	
		Mapper();

		static Mapper *mapper;
	};
}

#endif
