#ifndef _PREFETCH_VISITOR_H
#define _PREFETCH_VISITOR_H
namespace cache
{

	//Forward reference
	class Prefetcher;
	/*
	*	Every time the prefetcher shut downs it calls the
	*  visitor for an outside component to tap into its trace
	*/

	class PrefetchVisitor
	{
	public:
		/**
		* Called when the prefetcher is shutting down.
		* \param *prefetcher 
		*/
		virtual void prefetcherShuttingDown(Prefetcher *prefetcher)= 0;
	};
}
#endif