#include <cache/DistanceBrushLoader.h>
#include <Brush.h>
#include <cache/BrushEntries.h>

using namespace cache;
/*
 *	Creates a new DistanceBrushLoader
 */
DistanceBrushLoader::DistanceBrushLoader(IIndex *index)
{
	this->index = index;
}

/*
 *	@return BrushEntries* Returns a set of brush entries
 */
BrushEntries* DistanceBrushLoader::load(Brush *brush)
{
	std::list<ICacheEntry*>& resultList = 
					index->search(*brush);

	return(new BrushEntries(resultList,brush));
}