#ifndef _DATA_ITERATOR_H
#define _DATA_ITERATOR_H

#include <Iterator.h>
#include <ICacheEntry.h>
namespace cache
{

	//Forward Reference
	class CacheController;

	class DataIterator : public ::Iterator<ICacheEntry*>
	{
	public:
		DataIterator(CacheIterator* cacheIterator,
			CacheController* controller);

		ICacheEntry* get_next();

		bool isDone();

		virtual ~DataIterator();

	private: 
		//Stores the reference to the cache iterator object
		CacheIterator* cacheIterator;
		//Store the reference to the cache controller object
		CacheController* cacheController;
	};

}
#endif
