#ifndef 
#define _BRUSH_VISITOR_H
#include <Brush.h>
//Forward References
namespace cache
{
	template <class ReplacementValue>
	class CacheEntry

	class BrushVisitor
	{
	public:
		//Called whenever the brush is modified
		virtual void brushModified(Brush &brush) = 0;
		//Called whenever the inBrush method finds the cacheEntry in the brush
		virtual void hitCacheEntry(CacheEntry<ReplacementValue>& cacheEntry) = 0;
		//Called if we have remainder regions
		virtual void ifRemainder(bool flag) = 0;
	};
}
#endif //_BRUSH_VISITOR_H